Install on macOS

想要在 macOS 上使用 Vapor,你只需要安装 Xcode 9 或更高版本。

安装Xcode

通过 Mac App Store 安装 Xcode 9.3 或更高版本

注意:

Xcode下载后,你必须打开它来完成安装。这可能需要一段时间。

验证安装

通过打开终端运行如下命令来验证是否安装成功:

swift --version

你将看到如下类似输出:

Apple Swift version 4.1.0 (swiftlang-900.0.69.2 clang-900.0.38)
Target: x86_64-apple-macosx10.9

Vapor需要Swift 4.1或更高版本。

安装Vapor

安装好Swift 4.1后,我们开始安装 Vapor Toolbox

Toolbox 包含所有Vapor依赖,并可以通过便捷的CLI工具来创建新项目。

brew install vapor/tap/vapor

提示

如果还没安装Homebrew的话,请先安装它 brew.sh →

验证安装

通过打开终端运行如下命令来验证是否安装成功:

vapor --help

你将会看到一长串可用命令集。

完成

Vapor安装好后,就可以创建第一个应用了,可参考 Getting Started → Hello, world

results matching ""

    No results matching ""